Generate Csr

Generate Csr
Generate Certificate Signing Request (CSR) for the given VCF component

Generate Certificate Signing Request (CSR) for the given VCF component

Request
URI
POST
https://{api_host}/suite-api/api/fleet-management/certificate-management/csrs
COPY
Request Body

Generate CSR Request Body

GenerateCsrData of type(s) application/json
Required  

Show optional properties

{
    "certificateId": "string",
    "generateCsrSpec": {
        "commonName": "string",
        "keySize": "string",
        "orgUnit": "string",
        "organization": "string",
        "subjectAltNames": {}
    }
}
"{\n  \"certificateId\" : \"885a9003-c47c-4c61-b5ab-ec93e61b7033\",\n  \"generateCsrSpec\" : {\n    \"country\" : \"US\",\n    \"email\" : \"[email protected]\",\n    \"keySize\" : \"KEY_2048\",\n    \"keyAlgorithm\" : \"RSA\",\n    \"locality\" : \"Palo Alto\",\n    \"organization\" : \"VMware\",\n    \"orgUnit\" : \"Engineering\",\n    \"state\" : \"California\",\n    \"commonName\" : \"vmsp.example.com\",\n    \"subjectAltNames\" : {\n      \"dns\" : [ \"vmsp.example.com\", \"vmsp-alt.example.com\" ],\n      \"ip\" : [ \"192.168.1.100\", \"192.168.1.101\" ]\n    }\n  }\n}"
string As uuid As uuid
certificateId
Required  

A key/Id of certificate which represent the VCF component against which CSR has to be generated

object
generateCsrSpec
Required  

Represents request parameters for generate csr

Authentication
This operation uses the following authentication methods.
Responses
200

The CSR generation workflow details

Returns WorkflowRequest of type(s) application/json
"{\n  \"requestId\" : \"4881a542-e10c-4033-b161-41622324db01\",\n  \"requestName\" : \"ucmgeneratecsrworkflow\",\n  \"requestReason\" : \"Generate Certificate Signing Request (CSR) API\",\n  \"requestType\" : \"Generate certificate signing request\",\n  \"state\" : \"INPROGRESS\",\n  \"errorCause\" : [ ],\n  \"duration\" : 95,\n  \"category\" : \"VCF_CERTIFICATE_MANAGEMENT\"\n}"
string
category
Required  

Categories for VCF workflow requests

Enumeration: INVENTORY, PASSWORD, CERTIFICATE, LCM_MIGRATION, VCF_PASSWORD_MANAGEMENT, VCF_CERTIFICATE_MANAGEMENT, SERVICE_REGISTRY_ROTATION, SOLUTIONS_CATALOG, SALT_RAAS_CONFIGURATION, VIDB_MIGRATION, VCF_IAM, FLEET_SETTINGS
integer As int64 As int64
duration
Optional

Duration of the request

array of object
errorCause
Optional

List of errors encountered during workflow execution

string
requestId
Optional

Unique identifier of the request

string
requestName
Required  
Constraints: minLength: 1

Name of the workflow request

string
requestReason
Optional

Reason for the workflow request

string
requestType
Required  
Constraints: minLength: 1

Type of the workflow request (e.g., CREATE_ENVIRONMENT, VC_DATA_COLLECTION)

string
state
Optional

Current state of the workflow request (e.g., CREATED, IN_PROGRESS, COMPLETED, FAILED)


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"certificateId":"string","generateCsrSpec":"object"}' https://{api_host}/suite-api/api/fleet-management/certificate-management/csrs